<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="You can use the Community and Enterprise editions of Nexpose to scan assets for known vulnerabilities. After you run a Nexpose scan, you can import the scan data into Metasploit Pro to validate the results of the vulnerability scan. &#xD;&#xA;&#xD;&#xA;" /><title>Nexpose Scan</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/nexpose-scan.html">Open topic with navigation</a>
        </p>
        <h1>Nexpose Scan</h1>
        <p>You can use the Community and Enterprise editions of <a name="kanchor86"></a>Nexpose to scan assets for known vulnerabilities. After you run a Nexpose scan, you can import the scan data into <span class="VariablesProductName">Metasploit Pro</span> to validate the results of the vulnerability scan. 
</p>
        <p><span class="VariablesProductName">Metasploit Pro</span> provides a connector that allows you to run a Nexpose scan and automatically import the scan results into a project. Before you can run a Nexpose scan, you must configure a Nexpose Console for the <span class="VariablesProductName">Metasploit Pro</span> to use.
</p>
        <p><span class="VariablesProductName">Metasploit Pro</span> only supports the number of hosts that you have licenses for in Nexpose. If you provide more hosts than the number of licenses that you have available, the scan fails. For example, if you have a Community license, the most number of hosts Nexpose supports is 32. If you provide 35 hosts, the scan fails. 
</p>
        <p>You can download the Community edition of Nexpose from <a href="../19-faqs/faq-metasploit-initializing-error.html" target="_blank">http://www.rapid7.com/vulnerability-scanner.jsp</a>. For more information on how to install and configure Nexpose, visit <a href="../19-faqs/faq-metasploit-initializing-error.html" target="_blank">http://community.rapid7.com</a>.</p>
    </body>
</html>